import { Token } from '@vongscript/common-interfaces';
import { ParserStrategyModel } from '../../models';
import { ParserStrategy } from '../parser-strategy';
/**
 * The strategy for boolean literals.
 *
 * @export
 * @class BooleanLiteralStrategy
 * @implements {ParserStrategy}
 */
export declare class BooleanLiteralStrategy implements ParserStrategy {
    /**
     * Checks whether this strategy supports the given `name`.
     *
     * @param {Token} token The name to check for.
     * @returns {boolean} Whether this strategy supports the given `name`.
     * @memberof BooleanLiteralStrategy
     */
    supports(token: Token): boolean;
    /**
     * Handle the `token`.
     *
     * @param {Token|Token[]} token The token to handle.
     * @returns {ParserStrategyModel} The expression or the new token made from the `token`.
     * @throws {Error} Thrown when an array instead of a single token was provided.
     * @memberof BooleanLiteralStrategy
     */
    handle(token: Token | Token[]): ParserStrategyModel;
}
